Bug 885147 - Editing group properties finishes with 'The group 'groupname' already exists. Please choose a different name.'
Editing group properties finishes with 'The group 'groupname' already exists....
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker
:
Depends On:
Blocks: F18Beta-accepted/F18BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-12-07 10:36 EST by Petr Schindler
Modified: 2013-01-12 10:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 19:06:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2012-12-07 10:36:00 EST
Description of problem:
When I want to edit properties of some group I always got message 'The group 'groupname' already exists. Please choose a different name.'

Version-Release number of selected component (if applicable):
system-config-users-1.3.2-1.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
1. run system-config-users (or Users and Groups from Application menu)
2. Go to Groups tab
3. Choose group and click on 'Properties' button
4. Try to add user to this group and click on 'OK'
  
Actual results:
No changes are done and 'The group 'groupname' already exists. Please choose a different name.' message appears

Expected results:
Group should be changed

Additional info:
I propose this as a blocker. This is basic functionality of this application and it is in default package selection for GNOME. The violated criterion is: "Menu sanity - the following criteria refer to both a live image and default installed system, and to all release-blocking desktops - All applications listed under the Applications menu or category must withstand a basic functionality test and not crash after a few minutes of normal use."
Comment 1 Tim Flink 2012-12-11 09:38:53 EST
Discussed during the 2012-10-11 impromptu blocker review meeting.

While this is a technical violation of "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in common use", it could be fixed with an update, isn't likely to affect livecds and can be worked around by editing the user instead of the group.

As such, it is rejected as a blocker for F18 final but accepted as NTH. A tested fix would be considered past freeze.
Comment 2 Nils Philippsen 2012-12-11 10:09:29 EST
Bummer, just a misplaced parenthesis. I've fixed that in git and will roll an update shortly.
Comment 3 Fedora Update System 2012-12-11 11:20:55 EST
system-config-users-1.3.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-19392/system-config-users-1.3.3-1.fc18
Comment 4 Fedora Update System 2012-12-11 15:05:32 EST
Package system-config-users-1.3.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-users-1.3.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19392/system-config-users-1.3.3-1.fc18
then log in and leave karma (feedback).
Comment 5 Tom 2012-12-18 17:04:29 EST
This is also broken in F17. I don't see a patch for F17 at admin.fedoraproject.org.
Comment 6 Fedora Update System 2012-12-19 05:56:05 EST
system-config-users-1.3.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/system-config-users-1.3.3-1.fc16
Comment 7 Fedora Update System 2012-12-19 05:56:22 EST
system-config-users-1.3.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/system-config-users-1.3.3-1.fc17
Comment 8 Fedora Update System 2013-01-11 19:06:58 EST
system-config-users-1.3.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-12 09:58:35 EST
system-config-users-1.3.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-12 10:12:40 EST
system-config-users-1.3.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.